﻿// CSV Report Generator for SQL
// Copyright (C) 2010 Perry Curt Day II

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;

namespace CSVReportGenerator
{
    internal static class CrgFileType
    {
        internal static void Serialize(FileInfo file, object dataObject)
        {
            FileStream fs = new FileStream(file.FullName, FileMode.OpenOrCreate);
            BinaryFormatter bf = new BinaryFormatter();

            bf.Serialize(fs, dataObject);
            fs.Close();
        }

        internal static object Deserialize(FileInfo file)
        {
            FileStream fs = new FileStream(file.FullName, FileMode.Open);
            BinaryFormatter bf = new BinaryFormatter();

            object dataObject = bf.Deserialize(fs);
            fs.Close();

            return dataObject;
        }
    }
}
